gstreamermm: Gst::PlayBin2 Class Reference

gstreamermm 0.10.10

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions

# Gst::PlayBin2 Class Reference
gstreamermm Plugins

A Wrapper for the playbin2 plugin. More...

Inheritance diagram for Gst::PlayBin2:
[legend]
Collaboration diagram for Gst::PlayBin2:
[legend]

List of all members.

## Public Member Functions
virtual | ~PlayBin2 ()
GstPlayBin2* | gobj ()
| Provides access to the underlying C GObject.
const GstPlayBin2* | gobj () const
| Provides access to the underlying C GObject.
GstPlayBin2* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Gst::TagList | get_video_tags (int arg0)
| This is a convenience method for the action signal signal_get_video_tags().
Gst::TagList | get_audio_tags (int arg0)
| This is a convenience method for the action signal signal_get_audio_tags().
Gst::TagList | get_text_tags (int arg0)
| This is a convenience method for the action signal signal_get_text_tags().
Glib::RefPtr< Gst::Buffer > | convert_frame (const Glib::RefPtr< Gst::Caps >& arg0)
| This is a convenience method for the action signal signal_convert_frame().
Glib::RefPtr< Gst::Pad > | get_video_pad (int arg0)
| This is a convenience method for the action signal signal_get_video_pad().
Glib::RefPtr< Gst::Pad > | get_audio_pad (int arg0)
| This is a convenience method for the action signal signal_get_audio_pad().
Glib::RefPtr< Gst::Pad > | get_text_pad (int arg0)
| This is a convenience method for the action signal signal_get_text_pad().
Glib::PropertyProxy < Glib::ustring > | property_uri ()
| URI of the media to play.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_uri () const
| URI of the media to play.
Glib::PropertyProxy < Glib::ustring > | property_suburi ()
| Optional URI of a subtitle.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_suburi () const
| Optional URI of a subtitle.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gst::Element > > | property_source () const
| Source element.
Glib::PropertyProxy < Gst::PlayFlags > | property_flags ()
| Flags to control behaviour.
Glib::PropertyProxy_ReadOnly < Gst::PlayFlags > | property_flags () const
| Flags to control behaviour.
Glib::PropertyProxy_ReadOnly< int > | property_n_video () const
| Total number of video streams.
Glib::PropertyProxy< int > | property_current_video ()
| Currently playing video stream (-1 = auto).
Glib::PropertyProxy_ReadOnly< int > | property_current_video () const
| Currently playing video stream (-1 = auto).
Glib::PropertyProxy_ReadOnly< int > | property_n_audio () const
| Total number of audio streams.
Glib::PropertyProxy< int > | property_current_audio ()
| Currently playing audio stream (-1 = auto).
Glib::PropertyProxy_ReadOnly< int > | property_current_audio () const
| Currently playing audio stream (-1 = auto).
Glib::PropertyProxy_ReadOnly< int > | property_n_text () const
| Total number of text streams.
Glib::PropertyProxy< int > | property_current_text ()
| Currently playing text stream (-1 = auto).
Glib::PropertyProxy_ReadOnly< int > | property_current_text () const
| Currently playing text stream (-1 = auto).
Glib::PropertyProxy < Glib::ustring > | property_subtitle_encoding ()
| Encoding to assume if input subtitles are not in UTF-8 encoding.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_subtitle_encoding () const
| Encoding to assume if input subtitles are not in UTF-8 encoding.
Glib::PropertyProxy < Glib::RefPtr< Gst::Element > > | property_audio_sink ()
| the audio output element to use (NULL = default sink).
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gst::Element > > | property_audio_sink () const
| the audio output element to use (NULL = default sink).
Glib::PropertyProxy < Glib::RefPtr< Gst::Element > > | property_video_sink ()
| the video output element to use (NULL = default sink).
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gst::Element > > | property_video_sink () const
| the video output element to use (NULL = default sink).
Glib::PropertyProxy < Glib::RefPtr< Gst::Element > > | property_vis_plugin ()
| the visualization element to use (NULL = default).
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gst::Element > > | property_vis_plugin () const
| the visualization element to use (NULL = default).
Glib::PropertyProxy < Glib::RefPtr< Gst::Element > > | property_text_sink ()
| the text output element to use (NULL = default textoverlay).
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gst::Element > > | property_text_sink () const
| the text output element to use (NULL = default textoverlay).
Glib::PropertyProxy< double > | property_volume ()
| The audio volume, 1.0=100%.
Glib::PropertyProxy_ReadOnly < double > | property_volume () const
| The audio volume, 1.0=100%.
Glib::PropertyProxy< bool > | property_mute ()
| Mute the audio channel without changing the volume.
Glib::PropertyProxy_ReadOnly < bool > | property_mute () const
| Mute the audio channel without changing the volume.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gst::Buffer > > | property_frame () const
| The last frame (NULL = no video available).
Glib::PropertyProxy_WriteOnly < Glib::ustring > | property_subtitle_font_desc ()
| Pango font description of font to be used for subtitle rendering.
Glib::PropertyProxy< guint > | property_connection_speed ()
| Network connection speed in kbps (0 = unknown).
Glib::PropertyProxy_ReadOnly < guint > | property_connection_speed () const
| Network connection speed in kbps (0 = unknown).
Glib::PropertyProxy< int > | property_buffer_size ()
| Buffer size when buffering network streams.
Glib::PropertyProxy_ReadOnly< int > | property_buffer_size () const
| Buffer size when buffering network streams.
Glib::PropertyProxy< gint64 > | property_buffer_duration ()
| Buffer duration when buffering network streams.
Glib::PropertyProxy_ReadOnly < gint64 > | property_buffer_duration () const
| Buffer duration when buffering network streams.
Glib::PropertyProxy< gint64 > | property_av_offset ()
| The synchronisation offset between audio and video in nanoseconds.
Glib::PropertyProxy_ReadOnly < gint64 > | property_av_offset () const
| The synchronisation offset between audio and video in nanoseconds.
Glib::PropertyProxy< guint64 > | property_ring_buffer_max_size ()
| Max.
Glib::PropertyProxy_ReadOnly < guint64 > | property_ring_buffer_max_size () const
| Max.
Glib::SignalProxy0< void > | signal_about_to_finish ()
Glib::SignalProxy0< void > | signal_video_changed ()
Glib::SignalProxy0< void > | signal_audio_changed ()
Glib::SignalProxy0< void > | signal_text_changed ()
Glib::SignalProxy1< void, int > | signal_video_tags_changed ()
Glib::SignalProxy1< void, int > | signal_audio_tags_changed ()
Glib::SignalProxy1< void, int > | signal_text_tags_changed ()
Glib::SignalProxy1< void, const Glib::RefPtr < Gst::Element >& > | signal_source_setup ()
Glib::SignalProxy1 < Gst::TagList, int > | signal_get_video_tags ()
| This is an action signal which is designed to be used as a method.
Glib::SignalProxy1 < Gst::TagList, int > | signal_get_audio_tags ()
| This is an action signal which is designed to be used as a method.
Glib::SignalProxy1 < Gst::TagList, int > | signal_get_text_tags ()
| This is an action signal which is designed to be used as a method.
Glib::SignalProxy1 < Glib::RefPtr< Gst::Buffer > , const Glib::RefPtr < Gst::Caps >& > | signal_convert_frame ()
| This is an action signal which is designed to be used as a method.
Glib::SignalProxy1 < Glib::RefPtr< Gst::Pad > , int > | signal_get_video_pad ()
| This is an action signal which is designed to be used as a method.
Glib::SignalProxy1 < Glib::RefPtr< Gst::Pad > , int > | signal_get_audio_pad ()
| This is an action signal which is designed to be used as a method.
Glib::SignalProxy1 < Glib::RefPtr< Gst::Pad > , int > | signal_get_text_pad ()
| This is an action signal which is designed to be used as a method.
## Static Public Member Functions
static Glib::RefPtr< PlayBin2 > | create ()
| Creates a new playbin2 plugin with a unique name.
static Glib::RefPtr< PlayBin2 > | create (const Glib::ustring& name)
| Creates a new playbin2 plugin with the given name.
## Protected Member Functions
| PlayBin2 ()
| PlayBin2 (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::PlayBin2 > | wrap (GstPlayBin2* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the playbin2 plugin.

Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems so care must be taken that they exist before they are used, otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::PlayBin2::~PlayBin2 | ( |  | ) | `[virtual]`

Gst::PlayBin2::PlayBin2 | ( |  | ) | `[protected]`

Gst::PlayBin2::PlayBin2 | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

Glib::RefPtr<Gst::Buffer> Gst::PlayBin2::convert_frame | ( | const Glib::RefPtr< Gst::Caps >& | arg0 | ) |

This is a convenience method for the action signal signal_convert_frame().

static Glib::RefPtr<PlayBin2> Gst::PlayBin2::create | ( |  | ) | `[static]`

Creates a new playbin2 plugin with a unique name.

Reimplemented from Gst::Pipeline.

static Glib::RefPtr<PlayBin2> Gst::PlayBin2::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new playbin2 plugin with the given name.

Reimplemented from Gst::Pipeline.

Glib::RefPtr<Gst::Pad> Gst::PlayBin2::get_audio_pad | ( | int | arg0 | ) |

This is a convenience method for the action signal signal_get_audio_pad().

Gst::TagList Gst::PlayBin2::get_audio_tags | ( | int | arg0 | ) |

This is a convenience method for the action signal signal_get_audio_tags().

Glib::RefPtr<Gst::Pad> Gst::PlayBin2::get_text_pad | ( | int | arg0 | ) |

This is a convenience method for the action signal signal_get_text_pad().

Gst::TagList Gst::PlayBin2::get_text_tags | ( | int | arg0 | ) |

This is a convenience method for the action signal signal_get_text_tags().

Glib::RefPtr<Gst::Pad> Gst::PlayBin2::get_video_pad | ( | int | arg0 | ) |

This is a convenience method for the action signal signal_get_video_pad().

Gst::TagList Gst::PlayBin2::get_video_tags | ( | int | arg0 | ) |

This is a convenience method for the action signal signal_get_video_tags().

const GstPlayBin2* Gst::PlayBin2::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Pipeline.

GstPlayBin2* Gst::PlayBin2::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Pipeline.

GstPlayBin2* Gst::PlayBin2::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::Pipeline.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gst::Element> > Gst::PlayBin2::property_audio_sink | ( |  | ) | const

the audio output element to use (NULL = default sink).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::RefPtr<Gst::Element> > Gst::PlayBin2::property_audio_sink | ( |  | ) |

the audio output element to use (NULL = default sink).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<gint64> Gst::PlayBin2::property_av_offset | ( |  | ) |

The synchronisation offset between audio and video in nanoseconds.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<gint64> Gst::PlayBin2::property_av_offset | ( |  | ) | const

The synchronisation offset between audio and video in nanoseconds.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<gint64> Gst::PlayBin2::property_buffer_duration | ( |  | ) |

Buffer duration when buffering network streams.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<gint64> Gst::PlayBin2::property_buffer_duration | ( |  | ) | const

Buffer duration when buffering network streams.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gst::PlayBin2::property_buffer_size | ( |  | ) |

Buffer size when buffering network streams.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::PlayBin2::property_buffer_size | ( |  | ) | const

Buffer size when buffering network streams.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<guint> Gst::PlayBin2::property_connection_speed | ( |  | ) |

Network connection speed in kbps (0 = unknown).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint> Gst::PlayBin2::property_connection_speed | ( |  | ) | const

Network connection speed in kbps (0 = unknown).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gst::PlayBin2::property_current_audio | ( |  | ) |

Currently playing audio stream (-1 = auto).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::PlayBin2::property_current_audio | ( |  | ) | const

Currently playing audio stream (-1 = auto).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gst::PlayBin2::property_current_text | ( |  | ) |

Currently playing text stream (-1 = auto).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::PlayBin2::property_current_text | ( |  | ) | const

Currently playing text stream (-1 = auto).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gst::PlayBin2::property_current_video | ( |  | ) |

Currently playing video stream (-1 = auto).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::PlayBin2::property_current_video | ( |  | ) | const

Currently playing video stream (-1 = auto).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Gst::PlayFlags> Gst::PlayBin2::property_flags | ( |  | ) |

Flags to control behaviour.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Gst::PlayFlags> Gst::PlayBin2::property_flags | ( |  | ) | const

Flags to control behaviour.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gst::Buffer> > Gst::PlayBin2::property_frame | ( |  | ) | const

The last frame (NULL = no video available).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gst::PlayBin2::property_mute | ( |  | ) |

Mute the audio channel without changing the volume.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Reimplemented from Gst::StreamVolume.

Glib::PropertyProxy_ReadOnly<bool> Gst::PlayBin2::property_mute | ( |  | ) | const

Mute the audio channel without changing the volume.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Reimplemented from Gst::StreamVolume.

Glib::PropertyProxy_ReadOnly<int> Gst::PlayBin2::property_n_audio | ( |  | ) | const

Total number of audio streams.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::PlayBin2::property_n_text | ( |  | ) | const

Total number of text streams.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::PlayBin2::property_n_video | ( |  | ) | const

Total number of video streams.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint64> Gst::PlayBin2::property_ring_buffer_max_size | ( |  | ) | const

Max.

amount of data in the ring buffer (bytes, 0 = ring buffer disabled).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<guint64> Gst::PlayBin2::property_ring_buffer_max_size | ( |  | ) |

Max.

amount of data in the ring buffer (bytes, 0 = ring buffer disabled).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gst::Element> > Gst::PlayBin2::property_source | ( |  | ) | const

Source element.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gst::PlayBin2::property_subtitle_encoding | ( |  | ) |

Encoding to assume if input subtitles are not in UTF-8 encoding.

If not set, the GST_SUBTITLE_ENCODING environment variable will be checked for an encoding to use. If that is not set either, ISO-8859-15 will be assumed.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gst::PlayBin2::property_subtitle_encoding | ( |  | ) | const

Encoding to assume if input subtitles are not in UTF-8 encoding.

If not set, the GST_SUBTITLE_ENCODING environment variable will be checked for an encoding to use. If that is not set either, ISO-8859-15 will be assumed.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly<Glib::ustring> Gst::PlayBin2::property_subtitle_font_desc | ( |  | ) |

Pango font description of font to be used for subtitle rendering.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gst::PlayBin2::property_suburi | ( |  | ) | const

Optional URI of a subtitle.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gst::PlayBin2::property_suburi | ( |  | ) |

Optional URI of a subtitle.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::RefPtr<Gst::Element> > Gst::PlayBin2::property_text_sink | ( |  | ) |

the text output element to use (NULL = default textoverlay).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gst::Element> > Gst::PlayBin2::property_text_sink | ( |  | ) | const

the text output element to use (NULL = default textoverlay).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gst::PlayBin2::property_uri | ( |  | ) |

URI of the media to play.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gst::PlayBin2::property_uri | ( |  | ) | const

URI of the media to play.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::RefPtr<Gst::Element> > Gst::PlayBin2::property_video_sink | ( |  | ) |

the video output element to use (NULL = default sink).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gst::Element> > Gst::PlayBin2::property_video_sink | ( |  | ) | const

the video output element to use (NULL = default sink).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::RefPtr<Gst::Element> > Gst::PlayBin2::property_vis_plugin | ( |  | ) |

the visualization element to use (NULL = default).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gst::Element> > Gst::PlayBin2::property_vis_plugin | ( |  | ) | const

the visualization element to use (NULL = default).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Gst::PlayBin2::property_volume | ( |  | ) | const

The audio volume, 1.0=100%.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Reimplemented from Gst::StreamVolume.

Glib::PropertyProxy<double> Gst::PlayBin2::property_volume | ( |  | ) |

The audio volume, 1.0=100%.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Reimplemented from Gst::StreamVolume.

Glib::SignalProxy0< void > Gst::PlayBin2::signal_about_to_finish | ( |  | ) |

Prototype:
  `void on_my_about_to_finish()`

Glib::SignalProxy0< void > Gst::PlayBin2::signal_audio_changed | ( |  | ) |

Prototype:
  `void on_my_audio_changed()`

Glib::SignalProxy1< void,int > Gst::PlayBin2::signal_audio_tags_changed | ( |  | ) |

Prototype:
  `void on_my_audio_tags_changed(int arg0)`

Glib::SignalProxy1< Glib::RefPtr<Gst::Buffer>,const Glib::RefPtr<Gst::Caps>& > Gst::PlayBin2::signal_convert_frame | ( |  | ) |

This is an action signal which is designed to be used as a method.

To do that, use its convenience method, convert_frame().

Prototype:
  `Glib::RefPtr<Gst::Buffer> on_my_convert_frame(const Glib::RefPtr<Gst::Caps>& arg0)`

Glib::SignalProxy1< Glib::RefPtr<Gst::Pad>,int > Gst::PlayBin2::signal_get_audio_pad | ( |  | ) |

This is an action signal which is designed to be used as a method.

To do that, use its convenience method, get_audio_pad().

Prototype:
  `Glib::RefPtr<Gst::Pad> on_my_get_audio_pad(int arg0)`

Glib::SignalProxy1< Gst::TagList,int > Gst::PlayBin2::signal_get_audio_tags | ( |  | ) |

This is an action signal which is designed to be used as a method.

To do that, use its convenience method, get_audio_tags().

Prototype:
  `Gst::TagList on_my_get_audio_tags(int arg0)`

Glib::SignalProxy1< Glib::RefPtr<Gst::Pad>,int > Gst::PlayBin2::signal_get_text_pad | ( |  | ) |

This is an action signal which is designed to be used as a method.

To do that, use its convenience method, get_text_pad().

Prototype:
  `Glib::RefPtr<Gst::Pad> on_my_get_text_pad(int arg0)`

Glib::SignalProxy1< Gst::TagList,int > Gst::PlayBin2::signal_get_text_tags | ( |  | ) |

This is an action signal which is designed to be used as a method.

To do that, use its convenience method, get_text_tags().

Prototype:
  `Gst::TagList on_my_get_text_tags(int arg0)`

Glib::SignalProxy1< Glib::RefPtr<Gst::Pad>,int > Gst::PlayBin2::signal_get_video_pad | ( |  | ) |

This is an action signal which is designed to be used as a method.

To do that, use its convenience method, get_video_pad().

Prototype:
  `Glib::RefPtr<Gst::Pad> on_my_get_video_pad(int arg0)`

Glib::SignalProxy1< Gst::TagList,int > Gst::PlayBin2::signal_get_video_tags | ( |  | ) |

This is an action signal which is designed to be used as a method.

To do that, use its convenience method, get_video_tags().

Prototype:
  `Gst::TagList on_my_get_video_tags(int arg0)`

Glib::SignalProxy1< void,const Glib::RefPtr<Gst::Element>& > Gst::PlayBin2::signal_source_setup | ( |  | ) |

Prototype:
  `void on_my_source_setup(const Glib::RefPtr<Gst::Element>& arg0)`

Glib::SignalProxy0< void > Gst::PlayBin2::signal_text_changed | ( |  | ) |

Prototype:
  `void on_my_text_changed()`

Glib::SignalProxy1< void,int > Gst::PlayBin2::signal_text_tags_changed | ( |  | ) |

Prototype:
  `void on_my_text_tags_changed(int arg0)`

Glib::SignalProxy0< void > Gst::PlayBin2::signal_video_changed | ( |  | ) |

Prototype:
  `void on_my_video_changed()`

Glib::SignalProxy1< void,int > Gst::PlayBin2::signal_video_tags_changed | ( |  | ) |

Prototype:
  `void on_my_video_tags_changed(int arg0)`

## Friends And Related Function Documentation

Glib::RefPtr< Gst::PlayBin2 > wrap | ( | GstPlayBin2 * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/playbin2.h